Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Tenant Secret APIs

Activate a Cache-Only Key

search

Activate a Cache-Only Key

Use POST /v1/cckm/sfdc/keys/{id}/activate to activate a destroyed cache-only key. This causes Salesforce to fetch the cache-only material from CCKM. {id} is the resource ID of the cache-only key.

Syntax

curl -k 'https://<IP>/api/v1/cckm/sfdc/keys/{id}/activate' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://thales.com/api/v1/cckm/sfdc/keys/a2c9f01e-48fd-4a82-bf40-918e581b3255/activate' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmZjhhMDM1ZS02NjExLTQ5ZWUtYWNmNC1lMzgwZTMxNGRhOTIiLCJzdWIiOiJsb2NhbHwzMTk0ZGY4Ny1kOTk2LTRjOGMtYWRmMi03MjNkZDA3NDY2YmIiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMmRmMjYxM2QtYWE2Zi00Mjc4LThmYWYtODNiZWYxNjU2Yjg2Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImE2N2Y3YjU2LWIyNDktNDg4YS04M2M4LWIwYzI0NjRmYjE0NCIsImlhdCI6MTYzMzcwMDA4NywiZXhwIjoxNjMzNzAwMzg3fQ.iUNnBNAsEjMiMPuqzPCiE683XSW9582vPQbAyPU3Pik' --compressed

Example Response

{
    "id": "a2c9f01e-48fd-4a82-bf40-918e581b3255",
    "uri": "kylo:kylo:cckm:Tenant_Secret:a2c9f01e-48fd-4a82-bf40-918e581b3255",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2021-07-03T20:32:31.526936169Z",
    "updatedAt": "2021-07-03T20:32:31.524915269Z",
    "cloud_name": "sfdc",
    "name": "IsaTS",
    "organization_id": "a2c9f01e-48fd-4a82-bf40-918e581b2345",
    "certificate_id": "04f63144-940c-4c4f-8426-333333333333",
    "key_type": "cache-only",
    "error_msg": "",
    "sfdc_params": {
        "created_by_id": "005B00000021BO4IAM",
        "last_modified_date": "2021-07-03T20:32:31.000+0000",
        "last_modified_by_id": "005B00000021BO4IAM",
        "system_modstamp": "2021-07-03T20:32:31.000+0000",
        "version": 2112,
        "status": "ACTIVE",
        "source": "REMOTE",
        "type": "Data",
        "remote_key_certificate": "cert1",
        "remote_key_service_id": "00DB000000040bIMAQ",
        "remote_key_identifier": "04f63144-940c-4c4f-8426-1917b54e0c33"
    },
    "source_key_tier": "local",
    "source_key_id": "626fdff442284cf1ad4b9030c21bfcddb2004e1cfd2b420da7c33d7f50e78c91",
    "source_key_name": "sfdc_key1"
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.